Issue 92516 - Change printing model in OOo applications
Summary: Change printing model in OOo applications
Status: CLOSED FIXED
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: DEV300m29
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.3
Assignee: philipp.lohmann
QA Contact: issues@gsl
URL:
Keywords:
Depends on:
Blocks: 11831
  Show dependency tree
 
Reported: 2008-08-06 12:28 UTC by philipp.lohmann
Modified: 2010-01-21 16:52 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description philipp.lohmann 2008-08-06 12:28:04 UTC
Currently printing works like this:
- applications start a print job
- applications render each page, pushing it into the job.

On the Mac the printing model is different: pages are pulled by the printing
system. Currently this makes buffering of the whole document as metafiles
necessary. We should change this. This gives us a lot of advances: we can
improve the print dialog to display a nice preview (like the Mac native dialog
does), we can do n-up printing on the fly transparent to the applications, we
can handle print job settings in a central place instead of each application.
Comment 1 philipp.lohmann 2008-12-04 09:52:25 UTC
sadly we won't make it for 3.1 feature freeze.
Comment 2 groucho266 2009-03-19 17:11:45 UTC
Started to convert the Impress printing to the new printing model.  The main
part of printing is now done in sd/source/ui/view/DocumentRenderer.cxx.  Warning
and option dialogs regarding transparency, different sizes of slides and printer
pages, page orientation are not yet active.  Landscape orientation is not yet
working.  Old printing interface in the view shell is still there (but with
empty implementation.)

Revision of this change is 269755.
Comment 3 carsten.driesner 2009-04-22 12:08:59 UTC
cd: It would make sense to support feature request i11831 (65 votes) while doing
the changes for this enhancement. This is just a reminder as the work must be
done by the application module developers.
Comment 4 philipp.lohmann 2009-09-01 19:25:32 UTC
fixed in CWS printerpullpages
Comment 5 philipp.lohmann 2009-09-03 10:31:22 UTC
target
Comment 6 philipp.lohmann 2009-10-26 13:47:49 UTC
verified in CWS printerpullpages
Comment 7 philipp.lohmann 2010-01-21 16:52:12 UTC
integrated in DEV300m70, closing